Skip to main content
DELETE
/
v1
/
customers
/
{customer_id}
/
payment-methods
/
{payment_method_id}
Unenroll payment method
curl --request DELETE \
  --url https://api-sandbox.y.uno/v1/customers/{customer_id}/payment-methods/{payment_method_id} \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "code": "VALIDATION_ERROR",
  "messages": [
    "amount must be greater than 0",
    "country must not be blank"
  ]
}
Removes a vaulted payment method. The vaulted_token becomes invalid.

Authorizations

public-api-key
string
header
required

Your public API key from the Yuno Dashboard

private-secret-key
string
header
required

Your private secret key (server-side only)

Path Parameters

customer_id
string<uuid>
required

The unique identifier of the customer

payment_method_id
string<uuid>
required

The unique identifier of the payment method

Response

Payment method unenrolled successfully